cls
@echo off


if exist TILES000.ART goto TILES
if exist TILES014.ART goto TILES
if exist TILES015.ART goto TILES



:INTRO


:CHOICE
cls
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo REDRUM: The Shining II
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo. 
echo Please select one of the following:
echo 1. Single Player game
echo 2. Network or Modem game
echo.
echo.
echo.
echo Additional Options:
echo 3. View Demos
echo 4. Single Player with no monsters
echo 5. View the REDRUM text file
echo 6. Read the Story
echo.
echo.
echo.
echo.
echo. 
echo. 
choice  /n /c:1234567x "Make selection (or type X to exit): "

if ERRORLEVEL 7 GOTO EXIT
if ERRORLEVEL 6 GOTO STORY
if ERRORLEVEL 5 GOTO README
if ERRORLEVEL 4 GOTO NOMONSTERS
if ERRORLEVEL 3 GOTO DEMO
if ERRORLEVEL 2 GOTO NETWORK
if ERRORLEVEL 1 GOTO SINGLE

CLS


:NOCHOICE

echo:
echo ^^^^^^^^^^^^^^^^^^^^^^
echo REDRUM: The Shining II
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo:
echo:
echo If you wish to play a network or modem game,
echo press CTRL+C now to exit and type the following at the
echo DOS prompt:  setup /xredrum.con /gredrum.grp
echo Then setup your multiplayer game as usual.
echo:
echo:
echo If you would like to play a single player game,
pause
cls
duke3d /xredrum.con /gredrum.grp /l1 /nm

goto EXIT






:TILES
cls
echo:
echo:
echo Some or all of the following files were found in your
echo Duke3d directory:
echo:
echo      TILES000.ART
echo      TILES014.ART
echo      TILES015.ART
echo:
echo REDRUM: The Shining II will not function
echo if these files are present.  They can be automatically backed up
echo for you now, or you can exit, rename or back them up yourself,
echo and then run this program again.
echo:
echo:


echo Please select one of the following:
echo 1. Automatically backup the files and continue
echo 2. Exit


echo. 
echo. 
choice  /n /c:12 "Make selection: "




if ERRORLEVEL 2 GOTO EXIT
if ERRORLEVEL 1 GOTO BACKUP


:TILESNOCHOICE
cls

echo:
echo:
echo Some or all of the following files were found in your
echo Duke3d directory:
echo:
echo      TILES000.ART
echo      TILES014.ART
echo      TILES015.ART
echo:
echo REDRUM: The Shining II will not function
echo if these files are present.  They can be automatically backed up
echo for you now, or you can exit, rename or back them up yourself,
echo and then run this program again.
echo:
echo:
echo Press CTRL+C to exit or
echo:

pause

cls
rename tiles000.art tiles000.red
rename tiles014.art tiles014.red
rename tiles015.art tiles015.red

cls
echo Your original .ART files have been backed up as
echo:
echo:
echo    TILES000.RED
echo    TILES014.RED
echo    TILES015.RED
echo:
echo:
echo.
pause

goto INTRO





:BACKUP
cls
rename tiles000.art tiles000.red
rename tiles014.art tiles014.red
rename tiles015.art tiles015.red
rem pause

cls
echo Your original files have been backed up as
echo:
echo:
echo    TILES000.RED
echo    TILES014.RED
echo    TILES015.RED
echo:
echo:
echo They will be restored at the end of this session.
echo.
pause

goto INTRO


:DEMO
cls
echo.
echo.
echo There are two demos to choose from:
echo.
echo.
echo 1. This demo recreates a few choice camera
echo    angles and moves from the film.
echo.
echo 2. This demo shows the solution to the level complete
echo    with secret areas.  If you get stuck, take a look 
echo    at this demo.
echo.
echo.

choice  /n /c:12x "Make selection (or hit X to return): "

if ERRORLEVEL 3 GOTO INTRO
if ERRORLEVEL 2 GOTO DEMO2
if ERRORLEVEL 1 GOTO DEMO1

:DEMO1
duke3d /xredrum.con /gredrum.grp /m /dredrum1
goto INTRO


:DEMO2
duke3d /xredrum.con /gredrum.grp /dredrum2
goto INTRO

:README
edit redrum.txt
if errorlevel 1 goto NOEDIT
cls
goto INTRO

:NOEDIT
cls
type redrum.txt |more
cls
goto INTRO

:STORY
edit story.txt
if errorlevel 1 goto NOEDIT2
cls
goto INTRO

:NOEDIT2
cls
type story.txt |more
cls
goto INTRO



:SINGLE
cls
duke3d /xredrum.con /gredrum.grp /l1 /nm
goto INTRO


:NETWORK
cls
setup.exe /xredrum.con /gredrum.grp 
goto INTRO


:NOMONSTERS
cls
duke3d /xredrum.con /gredrum.grp /l1 /nm /m
goto INTRO




:EXIT
cls
if exist TILES000.RED goto RESTORE
if exist TILES014.RED goto RESTORE
if exist TILES015.RED goto RESTORE

goto :DONE

:RESTORE
rename tiles000.red tiles000.art
rename tiles014.red tiles014.art
rename tiles015.red tiles015.art

cls
echo.
echo.
echo Your original ART files have been restored.
echo.
echo.
pause



:DONE

cls
echo Thanks for playing REDRUM: The Shining II
echo version 1.01 - 10/18/97
echo:
echo copyright 1997 Bryant Arnett
echo all rights reserved
echo:
echo For questions or comments, please e-mail me at:
echo RNet@compuserve.com
echo:
echo:

